/*====================================IMPORT CONFIGS====================================*/
@import './configs/reset';
/*======================================================================================*/


/*====================================IMPORT MODULES====================================*/
@import './modules/fonts';
@import './modules/vars';
@import './modules/global';
/*======================================================================================*/


/*======================================DUBLICATES======================================*/

/*======================================================================================*/


/*=====================================IMPORT PARTS=====================================*/
@import './components/header';
@import './components/main';
@import './components/footer';
@import './components/modal';
@import './components/account';
/*======================================================================================*/


#overlay-img {
    .close-btn{
        color: #000;
        top: 10px;
        right: 10px;
    }

    img {
        max-width: 250px;
    }
}

.par__items {
    background-color: #fff;
    padding: 20px;
    border-radius: 40px;

    img {
        max-width: 90%;
        margin: 0 auto;
    }
}

#reg__button{
    .top__button-text{
        animation: IDown 2s ease-in-out infinite;
    }
}

.top__image-boxes {
    animation: IDownBoxes 3s ease-in-out infinite;
}


@keyframes IDown {
    0% {
        transform: translateY(10px);
    }
    70% {
        transform: translateY(0);
    }
    to {
        transform: translateY(10px);
    }
}

@keyframes IDownBoxes {
    0% {
        transform: translateY(20px);
    }
    70% {
        transform: translateY(0);
    }
    to {
        transform: translateY(20px);
    }
}


[data-aos=fade-up-right] {
    -webkit-transform: translate3d(0px,100px,0);
    transform: translate3d(0px,100px,0);
}

[data-aos^=fade][data-aos^=fade], [data-aos^=zoom][data-aos^=zoom] {
    opacity: 0;
    -webkit-transition-property: opacity,-webkit-transform;
    transition-property: opacity,transform;
    transition-property: opacity,transform,-webkit-transform;
}

[data-aos][data-aos][data-aos-duration="400"], body[data-aos-duration="400"] [data-aos] {
    -webkit-transition-duration: .4s;
    transition-duration: .4s;
}

[data-aos][data-aos][data-aos-easing=ease], body[data-aos-easing=ease] [data-aos] {
    -webkit-transition-timing-function: ease;
    transition-timing-function: ease;
}

[data-aos^=fade][data-aos^=fade].aos-animate {
    opacity: 1;
    -webkit-transform: translateZ(0);
    transform: translateZ(0);
}

[data-aos][data-aos][data-aos-delay="300"].aos-animate, body[data-aos-delay="300"] [data-aos].aos-animate {
    -webkit-transition-delay: .1s;
    transition-delay: .1s;
}

[data-aos][data-aos][data-aos-delay="300"], body[data-aos-delay="300"] [data-aos] {
    -webkit-transition-delay: 0;
    transition-delay: 0;
}

[data-aos][data-aos][data-aos-easing=ease], body[data-aos-easing=ease] [data-aos] {
    -webkit-transition-timing-function: ease;
    transition-timing-function: ease;
}

[data-aos][data-aos][data-aos-duration="400"], body[data-aos-duration="400"] [data-aos] {
    -webkit-transition-duration: .4s;
    transition-duration: .4s;
}


[data-aos^=fade][data-aos^=fade], [data-aos^=zoom][data-aos^=zoom] {

    @media (min-width: 769px) {
        opacity: 0;
        -webkit-transition-property: opacity,-webkit-transform;
        transition-property: opacity,transform;
        transition-property: opacity,transform,-webkit-transform;
    }

    @media (max-width: 768px) {
        -webkit-transform: translate3d(0px,100px,0);
        transform: translate3d(0px,100px,0);
    }
}

.header {
    position: absolute;
    margin: 0 auto;
    top: 0;
    width: 100%;
}

.account-header {
    position: relative;
}

.coupon__image {
    width: 100%;
    max-width: 100% !important;
}

#modal-img {
    padding: 0;
    max-width: 320px;
}

.tablet__item {
    margin: 12px 0;

    p {
        width: 215px !important;
        margin-left: auto !important;
        margin-right: auto !important;
    }

    button {
        width: 200px !important;
        margin-left: auto !important;
        margin-right: auto !important;
    }
}

.tablet__item {
    button {
        @media (max-width: 900px) {
            margin-right: 25px;
            padding: 0 10px;
        }

        @media (max-width: 600px) {
            padding: 0 10px;
            margin-right: unset;
            margin-left: 25px;
        }
    }
}